Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.queue
Class QueuePeerInfo

    java.lang.Object
      org.jboss.messaging.core.distributed.RemotePeerInfo
          org.jboss.messaging.core.distributed.queue.QueuePeerInfo

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class QueuePeerInfo
extends RemotePeerInfo

Version:
  `$Revision: 1.2 $` $Id: QueuePeerInfo.java,v 1.2 2005/11/22 06:46:48 ovidiu Exp $
Author:
  Ovidiu Feodorov
See Also:
  `RemotePeerInfo`, Serialized Form

Field Summary
`protected java.io.Serializable` | `pipeID`

Fields inherited from class org.jboss.messaging.core.distributed.RemotePeerInfo
`peerIdentity`

Constructor Summary
`QueuePeerInfo()` For externalization.
`QueuePeerInfo(PeerIdentity peerIdentity, java.io.Serializable pipeID)`

Method Summary
`java.io.Serializable` | `getPipeID()`
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class org.jboss.messaging.core.distributed.RemotePeerInfo
`getPeerIdentity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pipeID

    protected java.io.Serializable pipeID

Constructor Detail

### QueuePeerInfo

    public QueuePeerInfo()

  For externalization.

### QueuePeerInfo

    public QueuePeerInfo(PeerIdentity peerIdentity,
                         java.io.Serializable pipeID)

Parameters:
  `peerIdentity` - - the identity of acknowledging peer.
  `pipeID` - - the id of the distributed pipe the acknowledging peer can be contacted at.

Method Detail

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `RemotePeerInfo`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `RemotePeerInfo`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getPipeID

    public java.io.Serializable getPipeID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.